{
  description = "Cargo wrapper that calls you a good enby if your commands succeed (but only after they fail)";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-24.11";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
        {
          packages = rec {
            cargo-gg = pkgs.callPackage ./nix/package.nix { };
            default = cargo-gg;
          };

          devShells.default = pkgs.mkShell {
            RUST_SRC_PATH = "${pkgs.rust.packages.stable.rustPlatform.rustLibSrc}";

            inputsFrom = builtins.attrValues self.packages.${system};
            nativeBuildInputs = [
              pkgs.rustfmt
              pkgs.clippy
            ];
          };
        }
    );
}
