use std::{
    env,
    fs::File,
    process::{exit, Command},
};

fn main() -> anyhow::Result<()> {
    let mut arg_iter = env::args().peekable();
    arg_iter.next();

    if arg_iter.peek().map_or(false, |arg| arg == "ge") {
        let _ = arg_iter.next();
    }

    let args: Vec<_> = arg_iter.collect();

    let mut cmd = Command::new("cargo");
    cmd.args(args);

    let status = cmd.status()?;
    let code = status.code().unwrap_or(1);

    let path = env::temp_dir().join(".ge-failed");

    if code == 0 {
        if std::fs::exists(&path)? {
            println!("Good enby!");

            let _ = std::fs::remove_file(path);
        }
    } else {
        let _ = File::create(path);
    }

    exit(code);
}
